<?php

namespace saul\ComunBundle\Repository;

/**
 * PnItemRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PnItemRepository extends \Doctrine\ORM\EntityRepository
{
    public function consultar($key) 
    {
        $em = $this->getEntityManager();
        $dql = "SELECT i
                FROM ComunBundle:PnCampoXItem ci
                LEFT JOIN ComunBundle:PnItem i WITH i.idItem=ci.idItem                
                WHERE ci.idCampo='$key' AND i.texto<>''";
        $query = $em->createQuery($dql);
        $query->setMaxResults(20);
        return $query->getResult();
    }
	
	public function consultarTextoDeEstandar($estandar) 
    {
        $em = $this->getEntityManager();
        $dql = "SELECT i.texto
                FROM ComunBundle:PnCampoXItem ci
                LEFT JOIN ComunBundle:PnItem i WITH i.idItem=ci.idItem                
                WHERE i.estandar='".$estandar."' AND ci.idCampo='1'";
        $query = $em->createQuery($dql);        
        return $query->getOneOrNullResult();
    }
    
}
